# phpDox - Query\QueryParser

# Query\QueryParser

#### Utility Class to parse sql clauses for properly escaping identifiers

## Synopsis

class QueryParser {

- // members
- public array $matches = ;

- // methods
- public void __construct()
- public array parseJoin()
- public string compileJoin()

}

## Violations

### PHPMessDetector

Line | Rule | Message
--- | --- | ---
60 | ShortVariable | Avoid variables with short names like $db. Configured minimum length is 3.

## Members

#### public

- $matches — array
  Regex matches

## Methods

#### public

- __construct() — Constructor/entry point into parser
- compileJoin() — Compiles a join condition after parsing
- parseJoin() — Parser method for setting the parse string